# =========================================================================== #
# Gemspec for Beautiful URL.
# =========================================================================== #
require 'beautiful_url'
require 'roebe/toplevel_methods/misc.rb'

Gem::Specification.new { |s|

  s.name    = 'beautiful_url'
  s.version = BeautifulUrl.version?
  s.date    = Time.now.strftime('%Y-%m-%d')

  DESCRIPTION = <<-EOF

This is a medium-sized gem which attempts to handle "matching" a String
or a Symbol against (remote) URLs. The project was created in order to
use short identifiers that can pinpoint to remote URLs, a bit similar
to how shorturl is working.

The gem is, however had, tailored to my use cases, so it will most
likely be utterly useless to other people by default. Most downloads
of this gem happen by scripts and bots, so do not think that the 
download numbers imply anything about "real" usage - the gem is 
way too much tailored to my own use case.

In the long run, though, the project may be extended to allow the
custom loading of yaml files, for a later release - but for now,
I do not think that this project will be useful to anyone else. 

More documentation can be found at:

  https://www.rubydoc.info/gems/beautiful_url/
    
EOF

  # ========================================================================= #                                                                                                              
  # Show this when a user installs this gem.                                                                                                                                         
  # ========================================================================= #                                                                                                              
  s.post_install_message = <<-EOF                                                                                                                                                            

  You should be able to invoke bin/beautiful_url via:

      beautiful_url

  EOF

  s.summary     = DESCRIPTION
  s.description = DESCRIPTION
                   
  s.authors     = ["Robert A. Heiler"]
  s.email       = Roebe.email?
  s.files       = Dir["**/*"]
  s.licenses    = 'MIT'
  s.homepage    = 'https://rubygems.org/gems/beautiful_url'

  s.required_ruby_version     = '>= '+RUBY_VERSION
  s.required_rubygems_version = '>= '+Gem::VERSION
  s.rubygems_version          = '>= '+Gem::VERSION

}