#!/usr/bin/ruby -w
# Encoding: UTF-8
# frozen_string_literal: true
# =========================================================================== #
if __FILE__ == $PROGRAM_NAME
  N = "\n"
  require 'opn'
  require 'beautiful_url'
  require 'cliner'
  require 'colours/colours_e_autoinclude.rb'
  # ========================================================================= #
  # Testing the class next.
  # ========================================================================= #
  e 'We will now test that the class BeautifulUrl works well.'
  e "The version is: `#{simp(BeautifulUrl.version?)}`."
  # ========================================================================= #
  # === test_this_input
  # ========================================================================= #
  def test_this_input(i)
    e; cliner {
      e 'The input that we will test next is: '+sfancy(i)
      # _ = BeautifulUrl[i]
      _ = BeautifulUrl::BeautifulUrl.new(i)
      e 'Is it included? '+sfancy(BeautifulUrl.is_included?(i).to_s)
      e 'Replaced url is: '+sfancy(_.url?)
    }; e
  end
  input = 'smiley3';        test_this_input(input)
  input = 'gather_pc_news'; test_this_input(input)
  # Next, we must test intralink abilities.
  input = 'local_php#test'; test_this_input(input)
  # Next, generate tab completion:
  # opn; e 'Next, we will generate the tab completion:'
  # BeautifulUrl::BeautifulUrl.new.generate_tab_completion
  _ = BeautifulUrl::BeautifulUrl.new(
    'http://localhost/misc/projects.cgi', :replace
  )
  opn; e _.result?
  e
  opn; e '(1) Now we will test the functionality of .search_for_this_url'
  e
  opn; e '  '+_.search_for_this_url('videos').to_s
  e
  opn; e "Next, we will test the functionality of BeautifulUrl['project']:"
  opn; e '  '+BeautifulUrl['project']
  pp BeautifulUrl['cybertest'] { :do_replace_localhost }
  pp BeautifulUrl.new('bioroebe_tutorial?pdf')
  e
  opn; e '(2) Next we will test whether the input remains unmofied'
  opn; e '    for entries NOT registered in the project.'
  e
  input = 'Family_One_two_Three.jpg'
  e
  pp BeautifulUrl.new(input)
  e
end # $RSRC/beautiful_url/test/testing_beautiful_url.rb